Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.

From: John Kehayias <[email-masked]>
Date: Tue, 10 Aug 2021 16:34:20 +0000

Hi Andrew,

Thanks for the package update. There was actually just a discussion on IRC about using xdg-desktop-portal (and -gtk). It came up that it would be helpful to add to the description a note about this needing to be used as a dbus-service, with perhaps a short code snippet for the user. A few other packages do this, but I think it would be helpful to make this more widespread.

As it is, the description of xdg-desktop-portal does mention dbus but I think could be clearer. For this package, could be clearer that this is a backend to be used with xdg-desktop-portal (doesn't make sense on its own correct?). So, you would want to add this to a dbus service with xdg-desktop-portal.

Sorry if this is out of scope on this patch thread, but does this package work for you? When I try using this with xdg-desktop-portal with dbus, there are messages about not finding e.g. the OpenURI handler when links are clicked in Flatpak apps. Is there more configuration or package changes needed on Guix to make this work?

Thanks,
John